Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.model
Class PortMapping

    java.lang.Object
      org.teleal.cling.support.model.PortMapping

    public class PortMapping

extends Object

Author:
  Christian Bauer

Nested Class Summary
`static class` | `PortMapping.Protocol`

Constructor Summary
`PortMapping()`
`PortMapping(boolean enabled, org.teleal.cling.model.types.UnsignedIntegerFourBytes leaseDurationSeconds, String remoteHost, org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort, org.teleal.cling.model.types.UnsignedIntegerTwoBytes internalPort, String internalClient, PortMapping.Protocol protocol, String description)`
`PortMapping(int port, String internalClient, PortMapping.Protocol protocol)`
`PortMapping(int port, String internalClient, PortMapping.Protocol protocol, String description)`
`PortMapping(Map<String,org.teleal.cling.model.action.ActionArgumentValue<org.teleal.cling.model.meta.Service>> map)`
`PortMapping(String remoteHost, org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort, PortMapping.Protocol protocol)`

Method Summary
`String` | `getDescription()`
`org.teleal.cling.model.types.UnsignedIntegerTwoBytes` | `getExternalPort()`
`String` | `getInternalClient()`
`org.teleal.cling.model.types.UnsignedIntegerTwoBytes` | `getInternalPort()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getLeaseDurationSeconds()`
`PortMapping.Protocol` | `getProtocol()`
`String` | `getRemoteHost()`
`boolean` | `hasDescription()`
`boolean` | `hasRemoteHost()`
`boolean` | `isEnabled()`
`void` | `setDescription(String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternalPort(org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort)`
`void` | `setInternalClient(String internalClient)`
`void` | `setInternalPort(org.teleal.cling.model.types.UnsignedIntegerTwoBytes internalPort)`
`void` | `setLeaseDurationSeconds(org.teleal.cling.model.types.UnsignedIntegerFourBytes leaseDurationSeconds)`
`void` | `setProtocol(PortMapping.Protocol protocol)`
`void` | `setRemoteHost(String remoteHost)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortMapping

    public PortMapping()

### PortMapping

    public PortMapping(Map<String,org.teleal.cling.model.action.ActionArgumentValue<org.teleal.cling.model.meta.Service>> map)

### PortMapping

    public PortMapping(int port,
                       String internalClient,
                       PortMapping.Protocol protocol)

### PortMapping

    public PortMapping(int port,
                       String internalClient,
                       PortMapping.Protocol protocol,
                       String description)

### PortMapping

    public PortMapping(String remoteHost,
                       org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort,
                       PortMapping.Protocol protocol)

### PortMapping

    public PortMapping(boolean enabled,
                       org.teleal.cling.model.types.UnsignedIntegerFourBytes leaseDurationSeconds,
                       String remoteHost,
                       org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort,
                       org.teleal.cling.model.types.UnsignedIntegerTwoBytes internalPort,
                       String internalClient,
                       PortMapping.Protocol protocol,
                       String description)

Method Detail

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getLeaseDurationSeconds

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getLeaseDurationSeconds()

### setLeaseDurationSeconds

    public void setLeaseDurationSeconds(org.teleal.cling.model.types.UnsignedIntegerFourBytes leaseDurationSeconds)

### hasRemoteHost

    public boolean hasRemoteHost()

### getRemoteHost

    public String getRemoteHost()

### setRemoteHost

    public void setRemoteHost(String remoteHost)

### getExternalPort

    public org.teleal.cling.model.types.UnsignedIntegerTwoBytes getExternalPort()

### setExternalPort

    public void setExternalPort(org.teleal.cling.model.types.UnsignedIntegerTwoBytes externalPort)

### getInternalPort

    public org.teleal.cling.model.types.UnsignedIntegerTwoBytes getInternalPort()

### setInternalPort

    public void setInternalPort(org.teleal.cling.model.types.UnsignedIntegerTwoBytes internalPort)

### getInternalClient

    public String getInternalClient()

### setInternalClient

    public void setInternalClient(String internalClient)

### getProtocol

    public PortMapping.Protocol getProtocol()

### setProtocol

    public void setProtocol(PortMapping.Protocol protocol)

### hasDescription

    public boolean hasDescription()

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.